<?xml version="1.0" encoding="utf-8"?>
<TableLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:shrinkColumns="*"
    android:stretchColumns="*">

    <TableRow
        android:id="@+id/tableRow1"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content">

        <Button
            android:id="@+id/btn_7"
            android:layout_width="1dip"
            android:layout_height="match_parent"
            android:layout_marginRight="1dp"
            android:background="@drawable/selector_input_number_keyboard"
            android:focusable="true"
            android:tag="7"
            android:text="@string/Key_7"
            android:textColor="@color/theme_white_color"
            android:textSize="40sp"
            android:textStyle="bold" />

        <Button
            android:id="@+id/btn_8"
            android:layout_width="1dip"
            android:layout_height="match_parent"
            android:layout_marginRight="1dp"
            android:background="@drawable/selector_input_number_keyboard"
            android:focusable="true"
            android:tag="8"
            android:text="@string/Key_8"
            android:textColor="@color/theme_white_color"
            android:textSize="40sp"
            android:textStyle="bold" />

        <Button
            android:id="@+id/btn_9"
            android:layout_width="1dip"
            android:layout_height="match_parent"
            android:background="@drawable/selector_input_number_keyboard"
            android:focusable="true"
            android:tag="9"
            android:text="@string/Key_9"
            android:textColor="@color/theme_white_color"
            android:textSize="40sp"
            android:textStyle="bold" />
    </TableRow>

    <TableRow
        android:id="@+id/tableRow2"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content">

        <Button
            android:id="@+id/btn_4"
            android:layout_width="1dip"
            android:layout_height="match_parent"
            android:layout_marginTop="1dp"
            android:layout_marginRight="1dp"
            android:background="@drawable/selector_input_number_keyboard"
            android:focusable="true"
            android:tag="4"
            android:text="@string/Key_4"
            android:textColor="@color/theme_white_color"
            android:textSize="40sp"
            android:textStyle="bold" />

        <Button
            android:id="@+id/btn_5"
            android:layout_width="1dip"
            android:layout_height="match_parent"
            android:layout_marginTop="1dp"
            android:layout_marginRight="1dp"
            android:background="@drawable/selector_input_number_keyboard"
            android:focusable="true"
            android:tag="5"
            android:text="@string/Key_5"
            android:textColor="@color/theme_white_color"
            android:textSize="40sp"
            android:textStyle="bold" />

        <Button
            android:id="@+id/btn_6"
            android:layout_width="1dip"
            android:layout_height="match_parent"
            android:layout_marginTop="1dp"

            android:background="@drawable/selector_input_number_keyboard"
            android:focusable="true"
            android:tag="6"
            android:text="@string/Key_6"
            android:textColor="@color/theme_white_color"
            android:textSize="40sp"
            android:textStyle="bold" />
    </TableRow>

    <TableRow
        android:id="@+id/tableRow3"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content">

        <Button
            android:id="@+id/btn_1"
            android:layout_width="1dip"
            android:layout_height="match_parent"
            android:layout_marginTop="1dp"
            android:layout_marginRight="1dp"
            android:background="@drawable/selector_input_number_keyboard"
            android:focusable="true"
            android:tag="1"
            android:text="@string/Key_1"
            android:textColor="@color/theme_white_color"
            android:textSize="40sp"
            android:textStyle="bold" />

        <Button
            android:id="@+id/btn_2"
            android:layout_width="1dip"
            android:layout_height="match_parent"
            android:layout_marginTop="1dp"
            android:layout_marginRight="1dp"
            android:background="@drawable/selector_input_number_keyboard"
            android:focusable="true"
            android:tag="2"
            android:text="@string/Key_2"
            android:textColor="@color/theme_white_color"
            android:textSize="40sp"
            android:textStyle="bold" />

        <Button
            android:id="@+id/btn_3"
            android:layout_width="1dip"
            android:layout_height="match_parent"
            android:layout_marginTop="1dp"
            android:background="@drawable/selector_input_number_keyboard"
            android:focusable="true"
            android:tag="3"
            android:text="@string/Key_3"
            android:textColor="@color/theme_white_color"
            android:textSize="40sp"
            android:textStyle="bold" />
    </TableRow>

    <TableRow
        android:id="@+id/tableRow4"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content">

        <Button
            android:id="@+id/btn_back"
            android:layout_width="1dip"
            android:layout_height="match_parent"
            android:layout_marginTop="1dp"
            android:layout_marginRight="1dp"
            android:layout_weight="1"
            android:background="@drawable/selector_keyboard_gary_bg"
            android:focusable="true"
            android:longClickable="true"
            android:tag="99"
            android:text="返回"
            android:textColor="@color/theme_white_color"
            android:textSize="40sp" />

        <Button
            android:id="@+id/btn_0"
            android:layout_width="1dip"
            android:layout_height="match_parent"
            android:layout_marginTop="1dp"
            android:layout_marginRight="1dp"
            android:layout_weight="1"
            android:background="@drawable/selector_input_number_keyboard"
            android:focusable="true"
            android:tag="0"
            android:text="@string/Key_0"
            android:textColor="@color/theme_white_color"
            android:textSize="40sp"
            android:textStyle="bold" />

        <Button
            android:id="@+id/btn_ten_plus"
            android:layout_width="1dip"
            android:layout_height="match_parent"
            android:layout_marginTop="1dp"
            android:background="@drawable/selector_keyboard_theme_bg"
            android:focusable="true"
            android:tag="98"
            android:text="10+"
            android:textColor="@color/theme_white_color"
            android:textSize="40sp"
            android:textStyle="bold" />
    </TableRow>
</TableLayout>
